﻿Imports NorthwindModel

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim entity As NorthwindEntities = New NorthwindEntities()
            Dim product = (From prod In entity.Products Select prod).ToList()
            Dim category = (From cate In entity.Categories Where cate.CategoryID = 1 OrElse cate.CategoryID = 2 Select cate).ToList()
            Dim result = From p In product Join c In category On p.CategoryID Equals c.CategoryID Select New With {Key .CategoryID = p.CategoryID, Key .CategoryName = c.CategoryName, Key .ProductName = p.ProductName}
            GridView1.DataSource = result.ToList().Take(5)
            GridView1.DataBind()
        End If
    End Sub
End Class